From 56480c6fb9b5bd62f2fa3a3c9235c41cb57115eb Mon Sep 17 00:00:00 2001
From: Jakub Wartak <jakub.wartak@enterprisedb.com>
Date: Thu, 5 Dec 2024 10:35:58 +0100
Subject: [PATCH v1] doc: Mention clock synchronization recommendation for
 hot_standby_feedback

hot_standby_feedback mechanics assume that clocks are synchronized, but it
was clear from documentation.
---
 doc/src/sgml/config.sgml | 7 +++++++
 1 file changed, 7 insertions(+)

diff --git a/doc/src/sgml/config.sgml b/doc/src/sgml/config.sgml
index e0c8325a39..caf87be60e 100644
--- a/doc/src/sgml/config.sgml
+++ b/doc/src/sgml/config.sgml
@@ -5038,6 +5038,13 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
         until it eventually reaches the primary.  Standbys make no other use
         of feedback they receive other than to pass upstream.
        </para>
+       <para>
+        Using this option requires the primary and standby(s) to have system
+        clocks synchronized, otherwise it may lead to prolonged risk of not
+        removing dead rows on primary for extended periods of time as the
+        feedback mechanism is based on timestamps exchanged between primary
+        and standby(s).
+       </para>
       </listitem>
      </varlistentry>
 
-- 
2.39.5

